Review and rating over time Report
curl --request POST \
--url https://api.birdeye.com/resources/v1/reports/review/analytic/time \
--header 'Content-Type: application/json' \
--data '
{
"sourceAliases": [
"citysearch ",
"google"
],
"businessNumbers": [
"943967608",
"943476803"
],
"days": 12
}
'import requests
url = "https://api.birdeye.com/resources/v1/reports/review/analytic/time"
payload = {
"sourceAliases": ["citysearch ", "google"],
"businessNumbers": ["943967608", "943476803"],
"days": 12
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sourceAliases: ['citysearch ', 'google'],
businessNumbers: ['943967608', '943476803'],
days: 12
})
};
fetch('https://api.birdeye.com/resources/v1/reports/review/analytic/time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"rating": 123,
"count": 123,
"milestone": "<string>"
}
]{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Review and rating over time
Review and rating over time API gives you the number of reviews and average rating in accordance with the time.
POST
/
v1
/
reports
/
review
/
analytic
/
time
Review and rating over time Report
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
Values can be 'count' or 'rating'.
'0' for ascending and '1' for descending order.
Body
application/json
⌘I